FUNCTION::USER_STRIN(3stap)

NAME
function::user_string_n_quoted - Retrieves and quotes string from user space

SYNOPSIS

1) user_string_n_quoted:string(addr:long,n:long)

2) user_string_n_quoted:string(addr:long,inlen:long,outlen:long)

ARGUMENTS

addr
    the user space address to retrieve the string from

n
    the maximum length of the string (if not null terminated)

inlen
    the maximum length of the string to read (if not null terminated)

outlen
    the maximum length of the output string

DESCRIPTION

1) Returns up to n characters of a C string from the given user space memory address where any ASCII characters that are not printable are replaced by the corresponding escape sequence in the returned string. Note that the string will be surrounded by double quotes. On the rare cases when userspace data is not accessible at the given address, the address itself is returned as a string, without double quotes.

2) Reads up to inlen characters of a C string from the given user space memory address, and returns up to outlen characters, where any ASCII characters that are not printable are replaced by the corresponding escape sequence in the returned string. Note that the string will be surrounded by double quotes. On the rare cases when userspace data is not accessible at the given address, the address itself is returned as a string, without double quotes.

SEE ALSO
tapset::uconversions(3stap)